#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 rank2classes
version:              1.5.3
visibility:           public
id:                   rank2classes-1.5.3-6ctvAxulglI6D0KEdf8V1n
key:                  rank2classes-1.5.3-6ctvAxulglI6D0KEdf8V1n
license:              BSD-3-Clause
copyright:            (c) 2017 Mario Blažević
maintainer:           Mario Blažević <blamario@protonmail.com>
author:               Mario Blažević
homepage:             https://github.com/blamario/grampa/tree/master/rank2classes
synopsis:
    standard type constructor class hierarchy, only with methods of rank 2 types

description:
    A mirror image of the standard type constructor class hierarchy rooted in '\''Functor'\'', except with methods of rank 2
    types and class instances of kind @(k->*)->*@. The classes enable generic handling of heterogenously typed data
    structures and other neat tricks.

category:             Control, Data, Generics
abi:                  19eb66f7d4c5108539e954b3be68da2b
exposed:              True
exposed-modules:      Rank2 Rank2.TH
import-dirs:          /usr/lib/ghc-9.0.2/site-local/rank2classes-1.5.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/rank2classes-1.5.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-rank2classes
hs-libraries:         HSrank2classes-1.5.3-6ctvAxulglI6D0KEdf8V1n
depends:
    base-4.15.1.0 data-functor-logistic-0.0-5lVS1XR6QgK1CDanqwgjOK
    distributive-0.6.2.1-Ha6o5Gt8Z476kRAWb68SlC
    template-haskell-2.17.0.0 transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-rank2classes/html/rank2classes.haddock

haddock-html:         /usr/share/doc/haskell-rank2classes/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

